models/Noticias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "noticias".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 */
class Noticias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'noticias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo'], 'required'],
            [['texto'], 'string'],
            [['titulo'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo de la Noticia',
            'texto' => 'Texto de la Noticia',
        ];
    }
    
    public static function mostrarUna(){
        /**
         * numero total de registros
         */
        $total=self::find()->count();
        /**
         * Calculo una posicion aleatoria
         */
        $n=rand(0, $total-1);
        
        return self::find()->offset($n)->limit(1)->one();
             
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\web\Response;
use app\models\Noticias;



class SiteController extends Controller
{
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        
        /**
         * La mejor forma de realizar consultas (sobre todo las consultas tipicas)
         * es mediante Active Record
         * Para ello vamos a utilizar la clase yii/db/ActiveRecord
         * Ademas tenemos que modelar todas las tablas
         * para realizar los modelos utilizamos Gii
         * 
         */
        
        $consulta= \app\models\Noticias::find();
        
        /**
         * Debido a que yii\db\ActiveQuery se extiende desde yii\db\Query , puede usar todos los métodos de creación de consultas y métodos de consulta del padre
         */
        
        $salidaArrayObjetos=$consulta->all();
       
            
        return $this->render('index',[
            'noticias'=>$salidaArrayObjetos,
        ]);
    }
    
    public function actionPagina1(){
        /**
         * Tengo dos opciones (hay mas pero hablemos de las principales)
         */
        
        /**
         * Realizo la consulta en controlador
         * 
         */
        
        //$total=Noticias::find()->count();
        //$n= Noticias::find()->offset(rand(0, $total-1))->limit(1)->one();
        
        /**
         * Realizo la consulta en el modelo y lo llamos desde el controlador
         * mejor metodo
         */
        
        $registro= Noticias::mostrarUna();
        
        return $this->render("pagina1",[
            "dato"=>$registro,
        ]);
    }
    
    public function actionPagina2(){
        return $this->render("pagina2");
    }
    
    public function actionPagina3(){
        
        
        return $this->render("pagina3");
    }
    
        public function actionNueva(){
            //$n es un active record, no contiene el modelo, es otro tipo de dato
            $n= Noticias::find()->orderBy("id DESC")->one();
            
            //así se pasan argumentos, noticia es el nombre que quieras poner, y en la vista noticia es una variable
            return $this->render("nueva",["noticia"=>$n]);
        
        
    }
}    

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Pagina1', 'url' => ['/site/pagina1']],
            ['label' => 'Pagina2', 'url' => ['/site/pagina2']],
            ['label' => 'Pagina3', 'url' => ['/site/pagina3']],
            ['label' => 'nueva', 'url' => ['/site/nueva']],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
<!-- Modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Nombre de la accion</h4>
      </div>
      <div class="modal-body">
        <?= $this->context->action->id; ?>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Ramon Abramo </p>

        <p class="pull-right"> Alpe Formación</p>
    </div>
</footer>
       
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/_noticias.php
<div class="col-sm-12 col-md-6 p-2 bg-primary">
    <div class="thumbnail">
      <div class="caption">
        <h3 class="alert alert-info"><?= $titulo; ?></h3>
        <p><?= $descripcion; ?></p>
      </div>
    </div>
 </div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Noticias';
?>
<div class="container">
<div class="row row-flex row-flex-wrap">
  <?php
    $div='<div class="clearfix"></div>';
    foreach($noticias as $k=>$noticia){
        echo $this->render("_noticias",[
            "titulo"=>$noticia->titulo,
            "texto"=>$noticia->texto,
            "reset"=>((($k+1)%3)==0 && $k!=0)?$div:"",
        ]);
    }
  ?>
</div>
</div>

views/site/nueva.php
<div>
    <?php
        //var_dump($noticia);
        echo "id ".$noticia->id;
    ?>
</div>
<div>
    <?php
   
    echo $noticia->titulo;
    ?>
</div>
        

views/site/pagina1.php
<div>
    <?php
        echo \yii\helpers\Html::img("@web/imgs/f1.jpg",[
            "class"=>"img-responsive center-block img-circle",
            "alt"=>"Ejemplo de foto",
        ]);
    ?>
</div>
<div class="jumbotron noticias">
  <div class="container">
    <h1><?= $dato->titulo; ?></h1>
    <p><?= $dato->texto; ?></p>
  </div>
</div>

views/site/pagina2.php
<div>
    <?= $this->render("pagina2/street"); ?>
</div>
<br>
<br>
<div>
    <?= $this->render("pagina2/mapa"); ?>
</div>

views/site/pagina2/mapa.php
<iframe class="center-block" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d7073.333367775346!2d-3.819672299999986!3d43.458932999999995!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xd494bcc568fd8c3%3A0x7858c552ade0effc!2sAlpe+Formacion!5e1!3m2!1ses!2ses!4v1537803075447" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>

views/site/pagina2/street.php
<iframe class="center-block" src="https://www.google.com/maps/embed?pb=!4v1537802750488!6m8!1m7!1sTly2XMB2XhXVmkB5tr4Mig!2m2!1d43.46155662073083!2d-3.811854651130348!3f84.96921546116297!4f2.711672565715247!5f0.7820865974627469" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>

views/site/pagina3.php
<?php
        /**
         * Añadir codigo de JS despues de JQUERY en una vista
         */
        $this->registerJsFile(
            '@web/js/video.js',
            ['depends' => [\yii\web\JqueryAsset::className()]]
        );
?>


<div class="center-block embed-responsive embed-responsive-16by9">
    <video class="embed-responsive-item" controls autoplay>
        <source src="<?= Yii::getAlias("@web") . "/videos/video1.mp4"?>" type="video/mp4">
    </video>
</div>


<div class="center-block embed-responsive embed-responsive-16by9">
    <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/lE6dL6yDGO4" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
</div>